Sound Design Toolkit 075 Physically informed sound synthesis for everyday sounds

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
Myoelastic features extractor
SDTAnalysis.h: Sound analysis tools

## Typedefs
typedef struct SDTMyoelastic | SDTMyoelastic
| Opaque data structure for a myoelastic feature extractor object.

## Functions
SDTMyoelastic * | SDTMyoelastic_new (unsigned int size)
| Instantiates a myoelastic feature extractor. More...
void | SDTMyoelastic_free (SDTMyoelastic *x)
| Destroys a myoelastic feature extractor. More...
void | SDTMyoelastic_setLowFrequency (SDTMyoelastic *x, double f)
| Sets the low frequency cutoff. More...
void | SDTMyoelastic_setHighFrequency (SDTMyoelastic *x, double f)
| Sets the high frequency cutoff. More...
void | SDTMyoelastic_setThreshold (SDTMyoelastic *x, double f)
| Sets the amplitude threshold of the input gate. Myoelastic activity is not computed for signals whose amplitude is below this thresold. More...
void | SDTMyoelastic_dsp (SDTMyoelastic *x, double *outs, double in)
| Signal processing routine. Call this function at sample rate to perform signal analysis. More...

## Detailed Description

Extracts amount and frequency of slow amplitude variations in the signal. Specifically designed for the detection of myoelastic activity in vocal input.

## Function Documentation

void SDTMyoelastic_dsp | ( | SDTMyoelastic * | x,
|  | double * | outs,
|  | double | in
| ) |  |

Signal processing routine. Call this function at sample rate to perform signal analysis.

Parameters

  [in] | x | Pointer to the instance
  [out] | outs | Pointer to an array of two doubles containing the algorithm output (amount and frequency)
  [in] | in | Input sample

void SDTMyoelastic_free | ( | SDTMyoelastic * | x | ) |

Destroys a myoelastic feature extractor.

Parameters

  [in] | x | Pointer to the instance to destroy

SDTMyoelastic* SDTMyoelastic_new | ( | unsigned int | size | ) |

Instantiates a myoelastic feature extractor.

Parameters

  [in] | size | Size of the analysis window, in samples

Returns
  Pointer to the new instance

void SDTMyoelastic_setHighFrequency | ( | SDTMyoelastic * | x,
|  | double | f
| ) |  |

Sets the high frequency cutoff.

Parameters

  [in] | x | Pointer to the instance
  [in] | f | High frequency cutoff, in Hz

void SDTMyoelastic_setLowFrequency | ( | SDTMyoelastic * | x,
|  | double | f
| ) |  |

Sets the low frequency cutoff.

Parameters

  [in] | x | Pointer to the instance
  [in] | f | Low frequency cutoff, in Hz

void SDTMyoelastic_setThreshold | ( | SDTMyoelastic * | x,
|  | double | f
| ) |  |

Sets the amplitude threshold of the input gate. Myoelastic activity is not computed for signals whose amplitude is below this thresold.

Parameters

  [in] | x | Pointer to the instance
  [in] | f | Amplitude threshold